commit 4b38e899236920b2eb1ddada3c3280b9243fc73d
Author: jklowden <jklowden>
Date:   Fri May 7 21:11:29 2010 +0000

    Applied today's ML patch from Craig A. Berry

diff --git a/ChangeLog b/ChangeLog
index 4d9c8ad..d162c3d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri May  7 17:09:50 EDT 2010	JK Lowden <jklowden@freetds.org>
+	* src/tds/token.c Applied today's ML patch from Craig A. Berry
+
 Fri May  7 13:55:20 EDT 2010	JK Lowden <jklowden@freetds.org>
 	* configure.ac produce gzip tarball, too. 
 
@@ -2425,4 +2428,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3016 2010/05/07 20:18:29 jklowden Exp $
+$Id: ChangeLog,v 1.3017 2010/05/07 21:11:29 jklowden Exp $
diff --git a/src/tds/token.c b/src/tds/token.c
index c51e80b..3939428 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.383 2010/04/08 08:19:16 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.384 2010/05/07 21:11:30 jklowden Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -347,9 +347,9 @@ tds_process_login_tokens(TDSSOCKET * tds)
 			
 			ver.major = tds_get_byte(tds);
 			ver.minor = tds_get_byte(tds);
+			ver.tiny[0] = tds_get_byte(tds);
 			ver.tiny[1] = tds_get_byte(tds);
-			ver.tiny[2] = tds_get_byte(tds);
-			ver.reported = (ver.major << 24) | (ver.minor << 16) | (ver.tiny[1] << 8) | ver.tiny[2];
+			ver.reported = (ver.major << 24) | (ver.minor << 16) | (ver.tiny[0] << 8) | ver.tiny[1];
 			
 			/* Log reported server product name, cf. MS-TDS LOGINACK documentation. */
 			switch(ver.reported) {
@@ -370,7 +370,7 @@ tds_process_login_tokens(TDSSOCKET * tds)
 			}
 			
 			tdsdump_log(TDS_DBG_FUNC, "server reports TDS version %x.%x.%x.%x\n", 
-							ver.major, ver.minor, ver.tiny[1], ver.tiny[2]);
+							ver.major, ver.minor, ver.tiny[0], ver.tiny[1]);
 			tdsdump_log(TDS_DBG_FUNC, "Product name for 0x%x is %s\n", ver.reported, ver.name);
 			
 			/* Get server product name. */

